Attribute VB_Name = "CMQBB"
Option Explicit
'**********************************************************************'
'*                                                                    *'
'*                  IBM MQSeries for Windows NT and Windows 2000      *'
'*                                                                    *'
'*  MODULE NAME:    CMQBB                                             *'
'*                                                                    *'
'*  DESCRIPTION:    Declarations for MQ Administration Interface      *'
'*                                                                    *'
'**********************************************************************'
'*  @START_COPYRIGHT@                                                 *'
'*  Licensed Materials - Property of IBM                              *'
'*                                                                    *'
'*  0784726, 5639-B43  MQSeries for Windows NT and Windows 2000       *'
'*                                                                    *'
'*  (C) Copyright IBM Corporation 1994, 2000.                         *'
'*                                                                    *'
'*  Status: Version 5 Release 2                                       *'
'*  @END_COPYRIGHT@                                                   *'
'**********************************************************************'
'*                                                                    *'
'*  FUNCTION:       This file declares the functions and named        *'
'*                  constants for the MQ administration interface     *'
'*                  (MQAI).                                           *'
'*                                                                    *'
'*  PROCESSOR:      BASIC                                             *'
'*                                                                    *'
'**********************************************************************'
 
'Options for mqCreateBag'
Global Const MQCBO_NONE                   = 0
Global Const MQCBO_USER_BAG               = 0
Global Const MQCBO_ADMIN_BAG              = 1
Global Const MQCBO_LIST_FORM_ALLOWED      = 2
Global Const MQCBO_LIST_FORM_INHIBITED    = 0
Global Const MQCBO_REORDER_AS_REQUIRED    = 4
Global Const MQCBO_DO_NOT_REORDER         = 0
Global Const MQCBO_CHECK_SELECTORS        = 8
Global Const MQCBO_DO_NOT_CHECK_SELECTORS = 0
Global Const MQCBO_COMMAND_BAG            = 16
Global Const MQCBO_SYSTEM_BAG             = 32
 
'Buffer Length for mqAddString and mqSetString'
Global Const MQBL_NULL_TERMINATED = -1
 
'Item Type for mqInquireItemInfo'
Global Const MQIT_INTEGER = 1
Global Const MQIT_STRING  = 2
Global Const MQIT_BAG     = 3
 
'Handle Selectors'
Global Const MQHA_FIRST      = 4001
Global Const MQHA_BAG_HANDLE = 4001
Global Const MQHA_LAST_USED  = 4001
Global Const MQHA_LAST       = 6000
 
'Limits for selectors for object attributes'
Global Const MQOA_FIRST = 1
Global Const MQOA_LAST  = 6000
 
'Integer system selectors'
Global Const MQIASY_FIRST             = -1
Global Const MQIASY_CODED_CHAR_SET_ID = -1
Global Const MQIASY_TYPE              = -2
Global Const MQIASY_COMMAND           = -3
Global Const MQIASY_MSG_SEQ_NUMBER    = -4
Global Const MQIASY_CONTROL           = -5
Global Const MQIASY_COMP_CODE         = -6
Global Const MQIASY_REASON            = -7
Global Const MQIASY_BAG_OPTIONS       = -8
Global Const MQIASY_LAST_USED         = -8
Global Const MQIASY_LAST              = -2000
 
'Special selector values'
Global Const MQSEL_ANY_SELECTOR         = -30001
Global Const MQSEL_ANY_USER_SELECTOR    = -30002
Global Const MQSEL_ANY_SYSTEM_SELECTOR  = -30003
Global Const MQSEL_ALL_SELECTORS        = -30001
Global Const MQSEL_ALL_USER_SELECTORS   = -30002
Global Const MQSEL_ALL_SYSTEM_SELECTORS = -30003
 
'Special index values'
Global Const MQIND_NONE = -1
Global Const MQIND_ALL  = -2
 
'Bag handles'
Global Const MQHB_UNUSABLE_HBAG = -1
Global Const MQHB_NONE          = -2
 
'Queue handles'
Global Const MQHO_NONE = 0
 
 
'**********************************************************************'
'*  Function Declarations for MQ Server Application                   *'
'**********************************************************************'
 
#If MqType = 1 Then 'MQ server'
  'Name of dynamic link library'
  Global Const MQVBDLL = "MQM.DLL"
 
  'MQAI functions'
  Declare Sub mqAddInquiry Lib "MQM.DLL" Alias "mqAddInquirystd@16" (ByVal Bag As Long, ByVal Selector As Long, CompCode As Long, Reason As Long)
  Declare Sub mqAddInteger Lib "MQM.DLL" Alias "mqAddIntegerstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqAddString Lib "MQM.DLL" Alias "mqAddStringstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal BufferLength As Long, ByVal Buffer As String, CompCode As Long, Reason As Long)
  Declare Sub mqBagToBuffer Lib "MQM.DLL" Alias "mqBagToBufferstd@28" (ByVal OptionsBag As Long, ByVal DataBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, DataLength As Long, CompCode As Long, Reason As Long)
  Declare Sub mqBufferToBag Lib "MQM.DLL" Alias "mqBufferToBagstd@24" (ByVal OptionsBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, ByVal DataBag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqClearBag Lib "MQM.DLL" Alias "mqClearBagstd@12" (ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqCountItems Lib "MQM.DLL" Alias "mqCountItemsstd@20" (ByVal Bag As Long, ByVal Selector As Long, ItemCount As Long, CompCode As Long, Reason As Long)
  Declare Sub mqCreateBag Lib "MQM.DLL" Alias "mqCreateBagstd@16" (ByVal Options As Long, Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqDeleteBag Lib "MQM.DLL" Alias "mqDeleteBagstd@12" (Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqDeleteItem Lib "MQM.DLL" Alias "mqDeleteItemstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, CompCode As Long, Reason As Long)
  Declare Sub mqExecute Lib "MQM.DLL" Alias "mqExecutestd@36" (ByVal Hconn As Long, ByVal Command As Long, ByVal OptionsBag As Long, ByVal CommandBag As Long, ByVal ResponseBag As Long, ByVal CommandQ As Long, ByVal ResponseQ As Long, CompCode As Long, Reason As Long)
  Declare Sub mqGetBag Lib "MQM.DLL" Alias "mqGetBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, GetMsgOpts As MQGMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireBag Lib "MQM.DLL" Alias "mqInquireBagstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireInteger Lib "MQM.DLL" Alias "mqInquireIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireItemInfo Lib "MQM.DLL" Alias "mqInquireItemInfostd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, OutSelector As Long, ItemType As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireString Lib "MQM.DLL" Alias "mqInquireStringstd@36" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, ByVal Buffer As String, StringLength As Long, CodedCharSetId As Long, CompCode As Long, Reason As Long)
  Declare Sub mqPutBag Lib "MQM.DLL" Alias "mqPutBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, PutMsgOpts As MQPMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqSetInteger Lib "MQM.DLL" Alias "mqSetIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqSetString Lib "MQM.DLL" Alias "mqSetStringstd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, Buffer As String, CompCode As Long, Reason As Long)
  Declare Sub mqTruncateBag Lib "MQM.DLL" Alias "mqTruncateBagstd@16" (ByVal Bag As Long, ByVal ItemCount As Long, CompCode As Long, Reason As Long)
 
 
'**********************************************************************'
'*  Function Declarations for MQ Client Application                   *'
'**********************************************************************'
 
#ElseIf MqType = 2 Then 'MQ client'
  'Name of dynamic link library'
  Global Const MQVBDLL = "MQIC32.DLL"
 
  'MQAI functions'
  Declare Sub mqAddInquiry Lib "MQIC32.DLL" Alias "mqAddInquirystd@16" (ByVal Bag As Long, ByVal Selector As Long, CompCode As Long, Reason As Long)
  Declare Sub mqAddInteger Lib "MQIC32.DLL" Alias "mqAddIntegerstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqAddString Lib "MQIC32.DLL" Alias "mqAddStringstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal BufferLength As Long, ByVal Buffer As String, CompCode As Long, Reason As Long)
  Declare Sub mqBagToBuffer Lib "MQIC32.DLL" Alias "mqBagToBufferstd@28" (ByVal OptionsBag As Long, ByVal DataBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, DataLength As Long, CompCode As Long, Reason As Long)
  Declare Sub mqBufferToBag Lib "MQIC32.DLL" Alias "mqBufferToBagstd@24" (ByVal OptionsBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, ByVal DataBag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqClearBag Lib "MQIC32.DLL" Alias "mqClearBagstd@12" (ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqCountItems Lib "MQIC32.DLL" Alias "mqCountItemsstd@20" (ByVal Bag As Long, ByVal Selector As Long, ItemCount As Long, CompCode As Long, Reason As Long)
  Declare Sub mqCreateBag Lib "MQIC32.DLL" Alias "mqCreateBagstd@16" (ByVal Options As Long, Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqDeleteBag Lib "MQIC32.DLL" Alias "mqDeleteBagstd@12" (Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqDeleteItem Lib "MQIC32.DLL" Alias "mqDeleteItemstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, CompCode As Long, Reason As Long)
  Declare Sub mqExecute Lib "MQIC32.DLL" Alias "mqExecutestd@36" (ByVal Hconn As Long, ByVal Command As Long, ByVal OptionsBag As Long, ByVal CommandBag As Long, ByVal ResponseBag As Long, ByVal CommandQ As Long, ByVal ResponseQ As Long, CompCode As Long, Reason As Long)
  Declare Sub mqGetBag Lib "MQIC32.DLL" Alias "mqGetBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, GetMsgOpts As MQGMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireBag Lib "MQIC32.DLL" Alias "mqInquireBagstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireInteger Lib "MQIC32.DLL" Alias "mqInquireIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireItemInfo Lib "MQIC32.DLL" Alias "mqInquireItemInfostd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, OutSelector As Long, ItemType As Long, CompCode As Long, Reason As Long)
  Declare Sub mqInquireString Lib "MQIC32.DLL" Alias "mqInquireStringstd@36" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, ByVal Buffer As String, StringLength As Long, CodedCharSetId As Long, CompCode As Long, Reason As Long)
  Declare Sub mqPutBag Lib "MQIC32.DLL" Alias "mqPutBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, PutMsgOpts As MQPMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
  Declare Sub mqSetInteger Lib "MQIC32.DLL" Alias "mqSetIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
  Declare Sub mqSetString Lib "MQIC32.DLL" Alias "mqSetStringstd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, Buffer As String, CompCode As Long, Reason As Long)
  Declare Sub mqTruncateBag Lib "MQIC32.DLL" Alias "mqTruncateBagstd@16" (ByVal Bag As Long, ByVal ItemCount As Long, CompCode As Long, Reason As Long)
#End If
 
 
'**********************************************************************'
'*  End of CMQBB                                                      *'
'**********************************************************************'
