VERSION 5.00
Begin VB.Form crtQSampleFrm
   BorderStyle     =   1  'Fixed Single
   Caption         =   "MQSeries MQAI Sample"
   ClientHeight    =   5925
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6840
   Icon            =   "amqsaicq.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5925
   ScaleWidth      =   6840
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame2
      Caption         =   "MQSeries Return Codes"
      Height          =   2775
      Left            =   120
      TabIndex        =   11
      Top             =   2400
      Width           =   6375
      Begin VB.CommandButton clearButton
         Caption         =   "C&lear"
         Height          =   375
         Left            =   4800
         TabIndex        =   4
         Top             =   2280
         Width           =   1335
      End
      Begin VB.ListBox rcLBox
         Height          =   1815
         Left            =   240
         TabIndex        =   3
         Top             =   360
         Width           =   5895
      End
   End
   Begin VB.CommandButton helpButton
      Caption         =   "&Help"
      Height          =   375
      Left            =   720
      TabIndex        =   5
      Top             =   5400
      Width           =   1335
   End
   Begin VB.CommandButton exitButton
      Caption         =   "E&xit"
      Height          =   375
      Left            =   4560
      TabIndex        =   8
      Top             =   5400
      Width           =   1335
   End
   Begin VB.CommandButton aboutButton
      Caption         =   "&About"
      Height          =   375
      Left            =   2640
      TabIndex        =   7
      Top             =   5400
      Width           =   1335
   End
   Begin VB.Frame Frame1
      Caption         =   "Queue Manager/Queue"
      Height          =   2175
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   6375
      Begin VB.CommandButton createQButton
         Caption         =   "&Create Queue"
         Height          =   375
         Left            =   4680
         TabIndex        =   2
         Top             =   1560
         Width           =   1335
      End
      Begin VB.TextBox qTBox
         Height          =   375
         Left            =   1680
         TabIndex        =   1
         Top             =   960
         Width           =   4335
      End
      Begin VB.TextBox qmgrTBox
         Height          =   375
         Left            =   1680
         TabIndex        =   0
         Top             =   360
         Width           =   4335
      End
      Begin VB.Label qnameLbl
         Caption         =   "Queue Name: "
         Height          =   255
         Left            =   360
         TabIndex        =   10
         Top             =   1080
         Width           =   1095
      End
      Begin VB.Label qmgrNameLbl
         Alignment       =   1  'Right Justify
         Caption         =   "Queue Manager Name: "
         Height          =   375
         Left            =   240
         TabIndex        =   9
         Top             =   360
         Width           =   1215
      End
   End
End
Attribute VB_Name = "crtQSampleFrm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Hconn As Long                 ' Queue manager connection handle

Sub createLocalQueue(Hconn As Long, qname As String)

   Dim CompCode As Long           ' Completion code
   Dim Reason As Long             ' Reason code
   Dim RequestBag As Long         ' Request bag for mqExecute
   Dim ReplyBag As Long           ' Reply bag for mqExecute
   Dim ResultBag As Long          ' Result bag for mqExecute
   Dim MQExecuteCC As Long        ' The completion code returned by mqExecute
   Dim MQExecuteRC As Long        ' The return code returned by mqExecute
   Dim Answer As VbMsgBoxResult   ' Holder for value returned from message boxes
   Dim MsgString As String        ' String for message boxes
   Dim CRLF As String             ' Carriage return - line feed (for message boxes)

   RequestBag = MQGB_UNUSABLE_HBAG
   ReplyBag = MQHB_UNUSABLE_HBAG
   CRLF = Chr(13) & Chr(10)

   '***************************************************************************'
   '* Create a Request Bag for the mqExecute call                             *'
   '***************************************************************************'
   mqCreateBag MQCBO_ADMIN_BAG, RequestBag, CompCode, Reason
   DisplayInfo "mqCreateBag: CompCode = " & CompCode & ", Reason = " & Reason

   '***************************************************************************'
   '* Create a Reply Bag for the mqExecute call                               *'
   '***************************************************************************'
   mqCreateBag MQCBO_ADMIN_BAG, ReplyBag, CompCode, Reason
   DisplayInfo "mqCreateBag: CompCode = " & CompCode & ", Reason = " & Reason

   '***************************************************************************'
   '* Put the name of the queue to be created into the request bag. This will *'
   '* be used by the mqExecute call.                                          *'
   '***************************************************************************'
   mqAddString RequestBag, MQCA_Q_NAME, MQBL_NULL_TERMINATED, qname, CompCode, Reason
   DisplayInfo "mqAddString: CompCode = " & CompCode & ", Reason = " & Reason
   '***************************************************************************'
   '* Put local queue type into the request bag                               *'
   '***************************************************************************'
   mqAddInteger RequestBag, MQIA_Q_TYPE, MQQT_LOCAL, CompCode, Reason
   DisplayInfo "mqAddInteger: CompCode = " & CompCode & ", Reason = " & Reason

   '***************************************************************************'
   '* Send request to create queue                                            *'
   '***************************************************************************'
   mqExecute Hconn, MQCMD_CREATE_Q, MQHB_NONE, RequestBag, ReplyBag, MQHO_NONE, MQHO_NONE, CompCode, Reason
   DisplayInfo "mqExecute: CompCode = " & CompCode & ", Reason = " & Reason

   If Reason = MQRC_CMD_SERVER_NOT_AVAILABLE Then
     DisplayError "Please start the command server"
     MQDISC Hconn, CompCode, Reason
     DisplayInfo "MQDISC: CompCode = " & CompCode & ", Reason = " & Reason
     End
   End If

   '**************************************************************************'
   '* Check result from mqExecute call and find error if it failed           *'
   '**************************************************************************'
   If CompCode = MQCC_OK Then
     Answer = MsgBox("Local queue '" + qname + "' successfully created", vbOKOnly + vbInformation, "MQSeries")
   Else
     mqInquireBag ReplyBag, MQHA_BAG_HANDLE, 0, ResultBag, CompCode, Reason
     DisplayInfo "Get the result bag handle: CompCode = " & CompCode & ", Reason = " & Reason
     mqInquireInteger ResultBag, MQIASY_COMP_CODE, MQIND_NONE, MQExecuteCC, CompCode, Reason
     DisplayInfo "Get the completion code from the result bag: CompCode = " & CompCode & ", Reason = " & Reason
     mqInquireInteger ResultBag, MQIASY_REASON, MQIND_NONE, MQExecuteRC, CompCode, Reason
     DisplayInfo "Get the reason code from the result bag: CompCode = " & CompCode & ", Reason = " & Reason
     MsgString = "Error returned by the command server" & CRLF & "Completion Code = " & MQExecuteCC & ", Reason = " & MQExecuteRC
     If MQExecuteRC = 4001 Then
       MsgString = MsgString & CRLF & "Possible cause: the queue already exists"
     End If
     DisplayError MsgString
   End If

   '***************************************************************************'
   '* Delete the request bag if successfully created.                         *'
   '***************************************************************************'
   If RequestBag <> MQHB_UNUSABLE_HBAG Then
     mqDeleteBag RequestBag, CompCode, Reason
     DisplayInfo "mqDeleteBag: CompCode = " & CompCode & ", Reason = " & Reason
   End If

   '***************************************************************************'
   '* Delete the reply bag if successfull created.                            *'
   '***************************************************************************'
   If ReplyBag <> MQHB_UNUSABLE_HBAG Then
     mqDeleteBag ReplyBag, CompCode, Reason
     DisplayInfo "mqDeleteBag: CompCode = " & CompCode & ", Reason = " & Reason
   End If
End Sub

Private Sub aboutButton_Click()
  ' Show the About box
  aboutDialog.mqInfoTBox.Text = "MQSeries Visual Basic Sample" & Chr(13) & Chr(10) & "Using the MQAI to create a local queue"
  aboutDialog.Show
End Sub

Sub DisplayInfo(Info As String)
  ' Adds a string to the list box
  rcLBox.AddItem Info, 0
  rcLBox.ListIndex = 0
End Sub

Private Sub clearButton_Click()
  ' Clear the list box
  rcLBox.Clear
End Sub

Private Sub createQButton_Click()

  ' Connects to the specified queue manager and creates the queue

  Dim QMName As String              ' Queue manager name
  Dim qname As String               ' Queue name
  Dim CompCode As Long              ' Completion code
  Dim Reason As Long                ' Reason code qualifying completion code
  Dim MsgString As String           ' Message for message boxes
  Dim CRLF As String                ' Carriage return - line feed (for message boxes)

  CRLF = Chr(13) & Chr(10)

  ' Get values from text boxes
  QMName = qmgrTBox.Text
  qname = qTBox.Text

  ' Check that there is a queue name
  If qname = "" Then
    DisplayError "Please enter a name for the queue"
  Else

    ' Connect to the default queue manager if one is not specified
    If QMName = "" Then QMName = " "

    ' Connect to queue manager
    MQCONN QMName, Hconn, CompCode, Reason
    DisplayInfo "MQCONN: CompCode = " & CompCode & ", Reason = " & Reason

    If CompCode <> MQCC_OK Then
      ' Display error
      Message = "MQCONN Error" & CRLF & "Return code = " & Reason
      If Reason = MQRC_Q_MGR_NAME_ERROR Then
        Message = Message & CRLF & "Possible cause: the queue manager specified does not exist"
      End If
      DisplayError Message
    Else
      ' Create queue
      createLocalQueue Hconn, qname
      MQDISC Hconn, CompCode, Reason
      DisplayInfo "MQDISC: CompCode = " & CompCode & ", Reason = " & Reason
      If CompCode <> MQCC_OK Then
        ' Display error
        DisplayError "MQDISC Error" & CRLF & "Return code = " & Reason
      End If
    End If

    DisplayInfo ""

  End If

End Sub

Private Sub exitButton_Click()
  ' Disconnect from queue manager
  If Hconn <> 0 Then
    Dim CompCode As Long, Reason As Long
    MQDISC Hconn, CompCode, Reason
  End If
  End
End Sub

Sub DisplayError(ByVal Message As String)

  ' Displays an error message in a message box and beeps
  Beep
  MsgBox Message, vbOKOnly + vbExclamation, "Error"
End Sub

Private Sub Form_Load()
  ' Set up default constants
  MQ_SETDEFAULTS
End Sub

Private Sub Form_Unload(Cancel As Integer)
  ' Disconnect from queue manager
  If Hconn <> 0 Then
    Dim CompCode As Long, Reason As Long
    MQDISC Hconn, CompCode, Reason
  End If
End Sub

Private Sub helpButton_Click()
  ' Display help
  Me.Enabled = False
  crtQHelpFrm.Show
End Sub
